﻿Imports Infragistics.UltraChart.Resources.Appearance
Imports Infragistics.UltraChart.Shared.Styles

Partial Public Class Form1
    Inherits Form

#Region "members"
    Private series1 As XYSeries
    Private series2 As XYSeries
#End Region

#Region "defaultConstructor"
    Public Sub New()
        InitializeComponent()
        InitializeData()

        'add series
        UltraChart1.Series.Add(series1)
        UltraChart1.Series.Add(series2)

        'set chart display properties
        UltraChart1.ChartType = ChartType.ScatterChart
        UltraChart1.ScatterChart.ConnectWithLines = True
        UltraChart1.ScatterChart.LineAppearance.SplineTension = 0

        'set chart and axis titles
        Dim chartTitle As TitleAppearance = UltraChart1.TitleTop
        chartTitle.Text = "ChartTitle"
        chartTitle.HorizontalAlign = StringAlignment.Center

        Dim yAxisTitle As TitleAppearance = UltraChart1.TitleLeft
        yAxisTitle.Text = "YAxisTitle"
        yAxisTitle.Visible = True
        yAxisTitle.HorizontalAlign = StringAlignment.Center

        Dim xAxisTitle As TitleAppearance = UltraChart1.TitleBottom
        xAxisTitle.Text = "XAxisTitle"
        xAxisTitle.HorizontalAlign = StringAlignment.Center


        'set data points and line to blue
        Dim ChartColors() As Color
        ChartColors = New Color() {Color.Blue, Color.Green}
        UltraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear
        UltraChart1.ColorModel.CustomPalette = ChartColors


        'set point tooltip
        UltraChart1.Tooltips.FormatString = "<DATA_VALUE_X>, <DATA_VALUE_Y>"

    End Sub
#End Region

#Region "methods"
    Private Sub InitializeData()
        'series1
        Dim series1point1 = New XYDataPoint(0, 1, "point 1", False)
        Dim series1point2 = New XYDataPoint(1, 3, "point 2", False)
        Dim series1point3 = New XYDataPoint(2, 2, "point 3", False)
        Dim series1point4 = New XYDataPoint(4, 7, "point 4", False)
        Dim series1point5 = New XYDataPoint(6, 1, "point 5", False)

        series1 = New XYSeries()
        series1.Points.Add(series1point1)
        series1.Points.Add(series1point2)
        series1.Points.Add(series1point3)
        series1.Points.Add(series1point4)
        series1.Points.Add(series1point5)


        'series2
        Dim series2point1 = New XYDataPoint(0, 5, "point 1", False)
        Dim series2point2 = New XYDataPoint(1, 6, "point 2", False)
        Dim series2point3 = New XYDataPoint(2, 7, "point 3", False)
        Dim series2point4 = New XYDataPoint(4, 8, "point 4", False)
        Dim series2point5 = New XYDataPoint(6, 10, "point 5", False)

        series2 = New XYSeries()
        series2.Points.Add(series2point1)
        series2.Points.Add(series2point2)
        series2.Points.Add(series2point3)
        series2.Points.Add(series2point4)
        series2.Points.Add(series2point5)
    End Sub
#End Region

End Class
